org.apache.ode.ql.tree.nodes

## Class Query

- java.lang.Object
- - org.apache.ode.ql.tree.nodes.Query

- All Implemented Interfaces:
    java.io.Serializable, Node

      public class Query
      extends java.lang.Object
      implements Node

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Query(java.util.Collection<java.lang.Object> childs)`
    `Query(java.util.Collection<java.lang.Object> childs, OrderBy order)`
    `Query(java.util.Collection<java.lang.Object> childs, OrderBy order, Limit limit)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Collection<java.lang.Object>` | `getChilds()`
    `Limit` | `getLimit()`
    `OrderBy` | `getOrder()`
    `void` | `setLimit(Limit limit)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Query

          public Query(java.util.Collection<java.lang.Object> childs,
                       OrderBy order,
                       Limit limit)

      Parameters:
        `childs` -
        `order` -
        `limit` -

    - #### Query

          public Query(java.util.Collection<java.lang.Object> childs,
                       OrderBy order)

      Parameters:
        `childs` -
        `order` -

    - #### Query

          public Query(java.util.Collection<java.lang.Object> childs)

      Parameters:
        `childs` -

  - ### Method Detail

    - #### getChilds

          public java.util.Collection<java.lang.Object> getChilds()

      Returns:
        the childs

    - #### getOrder

          public OrderBy getOrder()

      Returns:
        the order

    - #### getLimit

          public Limit getLimit()

      Returns:
        the limit

    - #### setLimit

          public void setLimit(Limit limit)

      Parameters:
        `limit` - the limit to set